Package ghidra.features.bsim.query

# Class BSimControlLaunchable

java.lang.Object
ghidra.features.bsim.query.BSimControlLaunchable

All Implemented Interfaces:
  `GhidraLaunchable`

public class BSimControlLaunchable extends Object implements GhidraLaunchable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUTH_OPTION`
  `static final String`
  `CAFILE_OPTION`
  `static final String`
  `CERT_OPTION`
  `static final String`
  `COMMAND_ADDUSER`
  `static final String`
  `COMMAND_CHANGE_PRIVILEGE`
  `static final String`
  `COMMAND_CHANGEAUTH`
  `static final String`
  `COMMAND_DROPUSER`
  `static final String`
  `COMMAND_RESET_PASSWORD`
  `static final String`
  `COMMAND_START`
  `static final String`
  `COMMAND_STATUS`
  `static final String`
  `COMMAND_STOP`
  `static final String`
  `DN_OPTION`
  `static final String`
  `FORCE_OPTION`
  `static final String`
  `NO_LOCAL_AUTH_OPTION`
  `static final String`
  `PORT_OPTION`
  `static final String`
  `USER_OPTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimControlLaunchable()`
  Constructor for launching from the console

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `launch(GhidraApplicationLayout ghidraLayout, String[] params)`
  Launches the launchable.
  `void`
  `run(String[] params)`
  Runs the command specified by the given set of params.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMAND_START

    public static final String COMMAND_START
    See Also:
      - Constant Field Values

  - ### COMMAND_STOP

    public static final String COMMAND_STOP
    See Also:
      - Constant Field Values

  - ### COMMAND_STATUS

    public static final String COMMAND_STATUS
    See Also:
      - Constant Field Values

  - ### COMMAND_RESET_PASSWORD

    public static final String COMMAND_RESET_PASSWORD
    See Also:
      - Constant Field Values

  - ### COMMAND_CHANGE_PRIVILEGE

    public static final String COMMAND_CHANGE_PRIVILEGE
    See Also:
      - Constant Field Values

  - ### COMMAND_ADDUSER

    public static final String COMMAND_ADDUSER
    See Also:
      - Constant Field Values

  - ### COMMAND_DROPUSER

    public static final String COMMAND_DROPUSER
    See Also:
      - Constant Field Values

  - ### COMMAND_CHANGEAUTH

    public static final String COMMAND_CHANGEAUTH
    See Also:
      - Constant Field Values

  - ### CAFILE_OPTION

    public static final String CAFILE_OPTION
    See Also:
      - Constant Field Values

  - ### AUTH_OPTION

    public static final String AUTH_OPTION
    See Also:
      - Constant Field Values

  - ### DN_OPTION

    public static final String DN_OPTION
    See Also:
      - Constant Field Values

  - ### PORT_OPTION

    public static final String PORT_OPTION
    See Also:
      - Constant Field Values

  - ### USER_OPTION

    public static final String USER_OPTION
    See Also:
      - Constant Field Values

  - ### CERT_OPTION

    public static final String CERT_OPTION
    See Also:
      - Constant Field Values

  - ### NO_LOCAL_AUTH_OPTION

    public static final String NO_LOCAL_AUTH_OPTION
    See Also:
      - Constant Field Values

  - ### FORCE_OPTION

    public static final String FORCE_OPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BSimControlLaunchable

    public BSimControlLaunchable()
    Constructor for launching from the console

- ## Method Details

  - ### run

    public void run(String[] params) throws Exception
    Runs the command specified by the given set of params.
    Parameters:
      `params` - the parameters specifying the command
    Throws:
      `IllegalArgumentException` - if invalid params have been specified
      `Exception` - if there's an error during the operation
      `CancelledException` - if processing is cancelled

  - ### launch

    public void launch(GhidraApplicationLayout ghidraLayout, String[] params)
    Description copied from interface: `GhidraLaunchable`
    Launches the launchable.
    Specified by:
      `launch` in interface `GhidraLaunchable`
    Parameters:
      `ghidraLayout` - The application layout to use for the launch.
      `params` - The arguments passed through by the `GhidraLauncher`.